using System.Text.Json.Serialization;

namespace FastBill.Models;

public class Contact
{
    [JsonPropertyName("CONTACT_ID")]
    public string Id { get; set; }
    [JsonPropertyName("CUSTOMER_TYPE")]
    public string Type { get; set; }
    [JsonPropertyName("ORGANIZATION")]
    public string Company { get; set; }
    [JsonPropertyName("FIRST_NAME")]
    public string Firstname { get; set; }
    [JsonPropertyName("LAST_NAME")]
    public string Lastname { get; set; }
    [JsonPropertyName("ADDRESS")]
    public string Address { get; set; }
    [JsonPropertyName("ZIPCODE")]
    public string Zip { get; set; }
    [JsonPropertyName("CITY")]
    public string City { get; set; }
    [JsonPropertyName("PHONE")]
    public string Phone { get; set; }
    [JsonPropertyName("MOBILE")]
    public string Mobile { get; set; }
    [JsonPropertyName("EMAIL")]
    public string EMail { get; set; }
}